#   ――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――
#   File: vdb-color-prompt.spec
#   Copyright 🄯 2013, 2025 Van de Bugger.
#   SPDX-License-Identifier: FSFAP
#   ――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――

%vdb

Name:           vdb-color-prompt
Version:        0.5.0
Release:        0.vdb.1%{?dist}
Summary:        Bash multiline color prompt
Group:          System Environment/Base
License:        GPL-3.0-or-later
# URL:

Source0:        %{name}.sh
Source1:        README.md

BuildArch:      noarch

Conflicts:      bash-color-prompt

BuildRequires:  vdb-rpm-macros

Requires:       bash

%description
%{text -- \
    Sets up a nice multiline color prompt for Bash. Prompt includes user name, host name, and
    working directory in format "user@host:dir". Colors depend on user and host. Non-root user name
    is shown in cyan, but root user name is in reverse red. Host name is magenta in case of local
    session, but in case of remote (via ssh) session host name will be in reversed magenta color.
    Current working directory is always green. Colors look better on black background.
}

%global _profiledir %{_sysconfdir}/profile.d

%prep
%{rem: Nothing to do.}

%build
%{rem: Nothing to do.}

%install
%{__install} -D -m u=rw,go=r -t "%{buildroot}%{_profiledir}/" %{S:0}
%{__install} -D -m u=rw,go=r -t "%{buildroot}%{_pkgdocdir}/"  %{S:1}

%files
        %{_profiledir}/%{name}.sh
%dir    %{_pkgdocdir}
%doc    %{_pkgdocdir}/README.md

%changelog

* Sat Mar 01 2025 Van de Bugger - 0.5.0-0.vdb.1
- README.md added.
- vdb.lua is in dedicated package.

* Sat Mar 01 2025 Van de Bugger - 0.4.0-0.vdb.1
- Detecting remote host improved.

* Sat Mar 01 2025 Van de Bugger - 0.3.0-0.vdb.1
- User color inverted if current user id is not login user id.

* Sat Mar 01 2025 Van de Bugger - 0.2.0-0.vdb.1
- Renamed to vdb-color-prompt bacause bash-color-prompt appeared in Fedora.
- Root color changed to reversed (red background, not red foreground).
- Host color changed to magenta since dark blue is hardly visible on black background.
- Remote host name is printed reversed (magenta background, not foreground).

* Sat Oct 26 2013 Van de Bugger - 0.1-1
- Initial release.

# end of file #
